GameColor = {
	PlayerColors = {
		PLAYER_1	= color("#1565C0"),
		PLAYER_2	= color("#E64A19"),
	},
	PlayerDarkColors = {
		PLAYER_1	= color("#1565C0"),
		PLAYER_2	= color("#E64A19"),
	},
	Difficulty = {
		--[[ These are for 'Custom' Difficulty Ranks. It can be very  useful
		in some cases, especially to apply new colors for stuff you
		couldn't before. (huh? -aj) ]]
		Beginner	= color("#20AED5"),			-- pink
		Easy		= color("#E69C1A"),			-- blue
		Medium		= color("#F17C80"),			-- cyan
		Hard		= color("#25AF22"),			-- green
		Challenge	= color("#5E5EF2"),			-- orange
		Edit		= color("#78909C"),	-- gray
		Couple		= color("#ed0972"),			-- hot pink
		Routine		= color("#ff9a00"),			-- orange
		--[[ These are for courses, so let's slap them here in case someone
		wanted to use Difficulty in Course and Step regions. ]]
		Difficulty_Beginner	= color("#20AED5"),		--
		Difficulty_Easy		= color("#E69C1A"),		--
		Difficulty_Medium	= color("#F17C80"),		--
		Difficulty_Hard		= color("#25AF22"),		-- 
		Difficulty_Challenge	= color("#5E5EF2"),	-- 
		Difficulty_Edit 	= color("#78909C"),		--
		Difficulty_Couple	= color("#ed0972"),				-- 
		Difficulty_Routine	= color("#ff9a00")				-- 
	},
	Stage = {
		Stage_1st	= color("#9F9FF0"),
		Stage_2nd	= color("#00C170"),
		Stage_3rd	= color("#825694"),
		Stage_4th	= color("#9F9FF0"),
		Stage_5th	= color("#00C170"),
		Stage_6th	= color("#825694"),
		Stage_Next	= color("#9F9FF0"),
		Stage_Final	= color("#EFA592"),
		Stage_Extra1	= color("#EA8971"),
		Stage_Extra2	= color("#574891"),
		Stage_Nonstop	= color("#5753AC"),
		Stage_Oni	= color("#5753AC"),
		Stage_Endless	= color("#5753AC"),
		Stage_Event	= color("#9F9FF0"),
		Stage_Demo	= color("#9F9FF0")
	},
	Judgment = {
		JudgmentLine_W1		= color("#6EBAE9"),
		JudgmentLine_W2		= color("#E8B900"),
		JudgmentLine_W3		= color("#98CD1B"),
		JudgmentLine_W4		= color("#60CEEE"),
		JudgmentLine_W5		= color("#8256A9"),
		JudgmentLine_Held	= color("#DFB566"),
		JudgmentLine_Miss	= color("#ff3c3c"),
		JudgmentLine_MaxCombo	= color("#212121")
	},
};

GameColor.Difficulty["Crazy"] = GameColor.Difficulty["Hard"];
GameColor.Difficulty["Freestyle"] = GameColor.Difficulty["Easy"];
GameColor.Difficulty["Nightmare"] = GameColor.Difficulty["Challenge"];
GameColor.Difficulty["HalfDouble"] = GameColor.Difficulty["Medium"];